MAN(1)

NAME
man - display the on-line manual pages (aka “man pages”)

SYNOPSIS
[-acw|-h] [-C file] [-M path] [-m path] [section] name ...
[-k] [-C file] [-M path] [-m path] keyword ...

DESCRIPTION
The man utility displays the BSD man pages entitled name.

The options are as follows:

-a  Display all of the man pages for a specified section and name combination. (Normally, only the first man page found is displayed.)

-C  Use the specified file instead of the default configuration file. This permits users to configure their own man environment. See man.conf(5) for a description of the contents of this file.

-c  Copy the man page to the standard output instead of using more(1) to paginate it. This is done by default if the standard output is not a terminal device.

-h  Display only the “SYNOPSIS” lines of the requested man pages, in the same manner as whatis(1).

-k  Display the header lines for any man pages matching keyword(s), in the same manner as apropos(1).

-M  Override the list of standard directories which man searches for man pages. The supplied path must be a colon (``:'') separated list of directories. This search path may also be set using the environment variable MANPATH. The subdirectories to be searched, and their search order, is specified by the ``_subdir'' line in the man configuration file.

-m  Augment the list of standard directories which man searches for man pages. The supplied path must be a colon (``:'') separated list of directories. These directories will be searched before the standard directories or the directories specified using the -M option or the MANPATH environment variable. The subdirectories to be searched, and their search order, is specified by the ``_subdir'' line in the man configuration file.

-w  List the pathnames of the man pages which man would display for the specified section and name combination.

The optional section argument restricts the directories that man will search. The man configuration file (see man.conf(5)) specifies the possible section values that are currently available. Except when used with the ‘-k’ option, if only a single argument is specified or if the first argument is not a valid section, man assumes that the argument is the name of a man page to be displayed.

ENVIRONMENT

MACHINE
    As some man pages are intended only for specific architectures, man searches any subdirectories, with the same name as the current architecture, in every directory which it searches. Machine specific areas are checked before general areas. The current machine type may be overridden by setting the environment variable MACHINE to the name of a specific architecture.

MANPATH
    The standard search path used by man may be overridden by specifying a path in the MANPATH environment variable. The format of the path is a colon (``:'') separated list of directories. The subdirectories to be searched as well as their search order is specified by the ``_subdir'' line in the man configuration file.

PAGER
    The pagination command used for writing the output. If the PAGER environment variable is null or not set, the standard pagination program more(1) will be used.

FILES
/etc/man.conf
    default man configuration file.
/usr/{share,X11R6,X11,pkg,local}/man/whatis.db
    standard whatis/apropos database search path, set in /etc/man.conf.

SEE ALSO
apropos(1), whatis(1), whereis(1), man.conf(5), mdoc(7), mdoc.samples(7)

STANDARDS
conforms to xcu5.

BUGS
The on-line man pages are, by necessity, forgiving toward stupid display devices, causing a few man pages to be not as nicely formatted their typeset counterparts.